=== debian/changelog ===
mlt (6.26.1-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream backports release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 06 Sep 2021 23:37:10 -0400

mlt (6.26.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 25 Aug 2021 09:56:57 +0200

mlt (6.26.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Adjust github URL.
  * Add opencv build dependency and build the package with explicit enabled
    opencv features. This is also required for motion tracker features.
    Closes: #989227

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 16 Aug 2021 10:32:11 +0200
